Subject: bug#61996: 30.0.50; Submitting elixir-ts-mode and heex-ts-mode

From: Wilhelm Kirschbaum <[email-masked]>
Date: Sun, 12 Mar 2023 14:32:08 +0200

Wilhelm Kirschbaum <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Wilhelm Kirschbaum <[email-masked]>
>>> Cc: [email-masked], [email-masked], 
>>> [email-masked]
>>> Date: Sun, 12 Mar 2023 11:54:33 +0200
>>> Eli Zaretskii <[email-masked]> writes:
>>>  >   In elixir-ts--call-parent-start:
>>> >   progmodes/elixir-ts-mode.el:459:38: Warning: Unused 
>>> >   lexical  >
>>> argument `node'
>>> >   progmodes/elixir-ts-mode.el:463:15: Warning: reference to 
>>> >   >
>>> free  >   variable `parent'
>>> >
>>> >   In elixir-ts--forward-sexp:
>>> >   progmodes/elixir-ts-mode.el:482:8: Warning: reference to 
>>> >   >
>>> free  >   variable `heex-ts--sexp-regexp'
>>> Ah, not sure how I missed them. The new patches have further 
>>> tweaks
>>> and
>>> should resolve the above issue.
>>
>> Thanks, but the first of the two patches lacks the commit log
>> message.  And since you said there are further tweaks, I wasn't 
>> sure
>> the one from the previous version was still accurate.
>
> Sorry about that. The workflow is still pretty foreign to me and
> juggling with the old github upstream. I added the commit log.
>
> [2. Add heex-ts-mode --- text/x-patch; 
> 0001-Add-heex-ts-mode-Bug-61996.patch]...
>
> [3. Add elixir-ts-mode --- text/x-patch; 
> 0002-Add-elixir-ts-mode-Bug-61996.patch]...

Please ignore the previous patch, need to fix some tests.